vispa_pscan/static/html/main.html

<div class="pscan">
  <div class="controls-resize-wrapper">
    <div class="controls-wrapper">
      <div class="container-fluid">
        <div id="dir-row" class="row">
          <div class="col-12">
            <h5>Directory to scan:</h5>
            <div class="input-group"><span class="input-group-btn">
                <button id="select-dir" type="button" title="Select a directory" class="btn btn-default"><i class="glyphicon glyphicon-folder-open"></i></button></span>
              <input id="dir" type="text" placeholder="Directory" class="form-control"/><span class="input-group-btn">
                <button id="goto-dir" type="button" title="Open in file browser" class="btn btn-default"><i class="fa fa-share"></i></button></span>
            </div>
          </div>
        </div>
        <div id="config-row" class="row">
          <h5>RegExp for file selection:</h5>
          <div class="col-md-10 col-sm-9">
            <div class="input-group"><span class="input-group-btn">
                <button id="regexp-bookmarks-btn" type="button" data-toggle="dropdown" title="See bookmarked RegExp's" class="btn btn-default"><i class="glyphicon glyphicon-bookmark"></i></button>
                <ul id="regexp-bookmarks" class="dropdown-menu">
                  <li class="divider"></li>
                  <li><a id="add-regexp-bookmark" href="#"><i class="glyphicon glyphicon-plus"></i><span>Save current RegExp</span></a></li>
                </ul></span>
              <input id="regexp" type="text" placeholder="e.g. '^var(\d+)_\.*\.pdf$" class="form-control"/>
            </div>
          </div>
          <div class="col-md-2 col-sm-3 text-center">
            <button id="scan" type="button" title="Scan" class="btn btn-primary"><i class="fa fa-play"></i><span>Scan</span></button>
          </div>
        </div>
      </div>
      <hr/>
      <h4>Selection</h4>
      <div id="tabs">
        <ul class="nav nav-tabs">
          <li class="active"><a id="manipulators-link" href="#manipulators" data-toggle="tab" title="Available values"><i class="fa fa-sliders"></i><span>Values</span></a></li>
          <li><a id="overview-link" href="#overview" data-toggle="tab" title="Avaibale files"><i class="fa fa-table"></i><span>Files</span><span id="n-files" class="badge">0</span></a></li>
        </ul>
        <div class="tab-content">
          <div id="manipulators" class="tab-pane active"><span>Scan to load content</span>
            <table id="controls" class="table table-striped container-fluid">
              <tbody></tbody>
            </table>
          </div>
          <div id="overview" class="tab-pane"><span>Scan to load content</span>
            <table class="table table-hover table-striped">
              <thead>
                <tr>
                  <th data-bind="label"></th>
                </tr>
              </thead>
              <tbody>
                <tr tabindex="0" data-bind="row">
                  <td data-bind="value"></td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="image-wrapper">
    <div id="placeholder">
      <div class="vispa-table-outer">
        <div class="vispa-table-inner text-center"><span>Scan to load images</span></div>
      </div>
    </div>
  </div>
</div>

vispa_pscan/static/html/main.jade
.pscan
  .controls-resize-wrapper
    .controls-wrapper

      .container-fluid
        .row#dir-row
          .col-12
            h5 Directory to scan:
            .input-group
              span.input-group-btn
                button.btn.btn-default#select-dir(type="button", title="Select a directory")
                  i.glyphicon.glyphicon-folder-open
              input.form-control#dir(type="text", placeholder="Directory")
              span.input-group-btn
                button.btn.btn-default#goto-dir(type="button", title="Open in file browser")
                  i.fa.fa-share

        .row#config-row
          h5 RegExp for file selection:
          .col-md-10.col-sm-9
            .input-group
              span.input-group-btn
                button.btn.btn-default#regexp-bookmarks-btn(type="button", data-toggle="dropdown", title="See bookmarked RegExp's")
                  i.glyphicon.glyphicon-bookmark
                ul.dropdown-menu#regexp-bookmarks
                  li.divider
                  li
                    a#add-regexp-bookmark(href="#")
                      i.glyphicon.glyphicon-plus
                      span Save current RegExp
              input.form-control#regexp(type="text", placeholder="e.g. '^var(\\d+)_\\.*\\.pdf$")

          .col-md-2.col-sm-3.text-center
            button.btn.btn-primary#scan(type="button", title="Scan")
              i.fa.fa-play
              span Scan

      hr

      h4 Selection

      div#tabs
        ul.nav.nav-tabs
          li.active
            a#manipulators-link(href="#manipulators", data-toggle="tab", title="Available values")
              i.fa.fa-sliders
              span Values
          li
            a#overview-link(href="#overview", data-toggle="tab", title="Avaibale files")
              i.fa.fa-table
              span Files
              span.badge#n-files 0

        .tab-content
          .tab-pane.active#manipulators
            span Scan to load content
            table.table.table-striped.container-fluid#controls
              tbody

          .tab-pane#overview
            span Scan to load content
            table.table.table-hover.table-striped
              thead
                tr
                  th(data-bind="label")
              tbody
                tr(tabindex="0", data-bind="row")
                  td(data-bind="value")

  .image-wrapper
    #placeholder
      .vispa-table-outer
        .vispa-table-inner.text-center
          span Scan to load images
